package com.kmalbz.database.service

import com.kmalbz.api.model.ApiObject
import kotlinx.datetime.LocalDateTime

interface ISampleObjectService{
    fun addOne(apiObject: ApiObject)
    suspend fun getAllSampleObjects(): List<ApiObject>
    suspend fun getCount(): Long
    suspend fun getPage(page: Long): List<ApiObject>
    suspend fun getSampleObjectbyDeviceID(device_id: Int): List<ApiObject>
    suspend fun getSampleObjectbyTag(tag: String): ApiObject?
    suspend fun getSampleObjectbyDate(date: LocalDateTime): List<ApiObject>
    suspend fun getSampleObjectbeforeDate(date: LocalDateTime): List<ApiObject>
    suspend fun getSampleObjectafterDate(date: LocalDateTime): List<ApiObject>
}